## ev-document-images ev-document-images |

## Synopsis

    #define             EV_DOCUMENT_IMAGES_IFACE            (k)
    #define             EV_IS_DOCUMENT_IMAGES_IFACE         (k)
                        EvDocumentImages;
                        EvDocumentImagesIface;
    GList*              ev_document_images_get_image_mapping
                                                            (EvDocumentImages *document_images,
                                                             gint page);
    GdkPixbuf*          ev_document_images_get_image        (EvDocumentImages *document_images,
                                                             EvImage *image);

## Description

## Details

### EV_DOCUMENT_IMAGES_IFACE()

    #define EV_DOCUMENT_IMAGES_IFACE(k)        (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_IMAGES, EvDocumentImagesIface))

`k` : |

### EV_IS_DOCUMENT_IMAGES_IFACE()

    #define EV_IS_DOCUMENT_IMAGES_IFACE(k)     (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_IMAGES))

`k` : |

### EvDocumentImages

    typedef struct _EvDocumentImages EvDocumentImages;

### EvDocumentImagesIface

    typedef struct {
            GTypeInterface base_iface;

            /* Methods  */
            GList     *(* get_image_mapping) (EvDocumentImages *document_images,
    					  gint              page);
    	GdkPixbuf *(* get_image)         (EvDocumentImages *document_images,
    					  EvImage          *image);
    } EvDocumentImagesIface;

### ev_document_images_get_image_mapping ()

    GList*              ev_document_images_get_image_mapping
                                                            (EvDocumentImages *document_images,
                                                             gint page);

`document_images` : |
`page` : |
Returns : |

### ev_document_images_get_image ()

    GdkPixbuf*          ev_document_images_get_image        (EvDocumentImages *document_images,
                                                             EvImage *image);

`document_images` : |
`image` : |
Returns : |